0LAUNCH(1)

NAME
0launch — download and run programs by URL

SYNOPSIS
0launch [OPTION]... PROGRAM [ARG]...

DESCRIPTION

0launch runs the given program. PROGRAM is either a URL in the form `http://site/program.xml' or a local path name like `/path/to/program.xml'.

If the program is not already on your computer, 0launch downloads information about which versions are available, and lets you choose one to download. It will also (automatically) do the same for any libraries the program needs.

Note that much of the functionality that was originally in 0launch has now moved to 0install(1). 0launch PROGRAM ARGS

is roughly equivalent to 0install run PROGRAM ARGS See the 0install(1) man-page for more information.

EXAMPLES

When a program is available using 0launch, it will have an associated URL. To run the program, simply invoke 0launch with this as an argument: 0launch http://rox.sourceforge.net/2005/interfaces/Edit

The first time you do this, details about the program are downloaded and cached, and you will be prompted to confirm the versions to use. In future, the program will run directly from the cache without confirmation.

To check for new versions: 0launch --refresh http://rox.sourceforge.net/2005/interfaces/Edit

To avoid having to keep typing the full URI, use the 0alias(1) command to create shortcuts to run your programs.

COMMAND-LINE OPTIONS

0launch takes many of the same options as "0install run". This page just lists the differences:

-d, --download-only
    Deprecated. Use "0install download" instead.

-f, --feed
    Deprecated. Use "0install add-feed" or "0install remove-feed" instead.

--get-selections
    Deprecated. Use "0install select" instead.

-i, --import
    Deprecated. Use "0install import" instead.

-l, --list
    Deprecated. Use "0install list" instead.

--select-only
    Deprecated. Use "0install select" instead.

--set-selections=FILE
    Deprecated. Just give FILE as the PROGRAM.

--show
    Deprecated. Use "0install select" instead.

DEBUGGING TIPS

To debug 0launch itself, use the --verbose and --console options. For example: $ 0launch -vvc http://myprog

To trace or debug programs run by 0launch, use the --wrapper option. For example, to run myprog --help, displaying all calls to open(2): $ 0launch --wrapper="strace -e open" http://myprog --help If your program is interpreted (e.g. a Python program), and you wish to debug the interpreter running it, you can do it like this: $ 0launch --wrapper="gdb --args python" http://myprog --help

FILES
Configuration files (see freedesktop.org basedir spec):

~/.config/0install.net/injector/global
    Global configuration settings.

~/.config/0install.net/injector/trustdb.xml
    List of trusted keys.

~/.config/0install.net/injector/interfaces
    Per-interface settings, and extra feeds.

Cached data (can be re-downloaded if lost):

~/.cache/0install.net/interfaces
    Downloaded cached feed files.

~/.cache/0install.net/implementations
    Downloaded cached implementations, indexed by manifest digest.

See the 0store(1) man page for more information.

LICENSE

Copyright (C) 2011 Thomas Leonard.

You may redistribute copies of this program under the terms of the GNU Lesser General Public License.

BUGS

Please report bugs to the developer mailing list: http://0install.net/support.html

AUTHOR

Zero Install was created by Thomas Leonard.

SEE ALSO
0install(1), 0alias(1), 0store(1)

The Zero Install web-site: http://0install.net